org.apache.hadoop.yarn.client.api.async

## Interface AMRMClientAsync.CallbackHandler

- All Known Implementing Classes:
    AMRMClientAsync.AbstractCallbackHandler
  Enclosing class:
    AMRMClientAsync<T extends AMRMClient.ContainerRequest>

  Deprecated.
  Use `AMRMClientAsync.AbstractCallbackHandler` instead.

      @Deprecated
      public static interface AMRMClientAsync.CallbackHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getProgress()` Deprecated.
    `void` | `onContainersAllocated(List<org.apache.hadoop.yarn.api.records.Container> containers)` Deprecated. Called when the ResourceManager responds to a heartbeat with allocated containers.
    `void` | `onContainersCompleted(List<org.apache.hadoop.yarn.api.records.ContainerStatus> statuses)` Deprecated. Called when the ResourceManager responds to a heartbeat with completed containers.
    `void` | `onError(Throwable e)` Deprecated. Called when error comes from RM communications as well as from errors in the callback itself from the app.
    `void` | `onNodesUpdated(List<org.apache.hadoop.yarn.api.records.NodeReport> updatedNodes)` Deprecated. Called when nodes tracked by the ResourceManager have changed in health, availability etc.
    `void` | `onShutdownRequest()` Deprecated. Called when the ResourceManager wants the ApplicationMaster to shutdown for being out of sync etc.

- - ### Method Detail

    - #### onContainersCompleted

          void onContainersCompleted(List<org.apache.hadoop.yarn.api.records.ContainerStatus> statuses)

      Deprecated.
      Called when the ResourceManager responds to a heartbeat with completed containers. If the response contains both completed containers and allocated containers, this will be called before containersAllocated.

    - #### onContainersAllocated

          void onContainersAllocated(List<org.apache.hadoop.yarn.api.records.Container> containers)

      Deprecated.
      Called when the ResourceManager responds to a heartbeat with allocated containers. If the response containers both completed containers and allocated containers, this will be called after containersCompleted.

    - #### onShutdownRequest

          void onShutdownRequest()

      Deprecated.
      Called when the ResourceManager wants the ApplicationMaster to shutdown for being out of sync etc. The ApplicationMaster should not unregister with the RM unless the ApplicationMaster wants to be the last attempt.

    - #### onNodesUpdated

          void onNodesUpdated(List<org.apache.hadoop.yarn.api.records.NodeReport> updatedNodes)

      Deprecated.
      Called when nodes tracked by the ResourceManager have changed in health, availability etc.

    - #### getProgress

          float getProgress()

      Deprecated.

    - #### onError

          void onError(Throwable e)

      Deprecated.
      Called when error comes from RM communications as well as from errors in the callback itself from the app. Calling stop() is the recommended action.
      Parameters:
        `e` -

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.